Bug 1419513 - [Doc RFE] Document how to configure glusterfs slice using gdeploy.
Summary: [Doc RFE] Document how to configure glusterfs slice using gdeploy.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.3.0
Assignee: Laura Bailey
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1349790
Blocks: 1417156
TreeView+ depends on / blocked
 
Reported: 2017-02-06 11:46 UTC by Anjana Suparna Sriram
Modified: 2017-09-21 04:29 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1349790
Environment:
Last Closed: 2017-09-21 04:29:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 5 RamaKasturi 2017-04-03 06:28:18 UTC
Laura, i do not think we need to document this for grafton as gdeploy generates the lines required to configure glusterfs slice.

[service3]
action=start
service=glusterd
slice_setup=yes

Comment 6 Laura Bailey 2017-04-10 07:32:32 UTC
I agree, Kasturi, thankyou. Closing NOTABUG as per Kasturi's comment.

Comment 7 SATHEESARAN 2017-04-27 03:25:51 UTC
Laura,

Apologies that I couldn't provide the information at the right time.

This particular information about glusterfs slice and configuring it using gdeploy, should be part of RHGS admin guide, to enable our users to utilize this feature.

Probably you could raise a RFE for RHGS-FUTURE and address the requirement

Comment 19 SATHEESARAN 2017-06-14 13:19:16 UTC
Laura,

We need update to the text regarding the value of 'CPUQuota'
Currently with gdeploy, there is no flexibility to configure the 'CPUQuota'. By default, gdeploy configures the CPUQuota to the value of 400%. This info should go in to first part of the change, as a note

The second part of the change should be in the place which explains the steps for configuring slice. This should include the way to customizing the value for 'CPUQuota' based on requirement

Statement for help:
-------------------
'CPUQuota' is the means of applying a CPU limit on all resources running within the glusterfs slice. A value of 400% defines a 4 cores/execution threads limit.

Reference
---------
Paul's blog - http://blog.gluster.org/2016/09/making-gluster-play-nicely-with-others/

Comment 25 SATHEESARAN 2017-07-11 12:04:50 UTC
Verified with the doc link. All looks good.

Comment 26 Laura Bailey 2017-08-29 04:12:53 UTC
Fixed in RHGS 3.3 documentation.


Note You need to log in before you can comment on or make changes to this bug.